org.cybergarage.xml.parser

## Class JaxpParser

- java.lang.Object
- - org.cybergarage.xml.Parser
  - - org.cybergarage.xml.parser.JaxpParser

-     public class JaxpParser
      extends Parser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxpParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `parse(InputStream inStream)`
    `Node` | `parse(Node parentNode, Node domNode)`
    `Node` | `parse(Node parentNode, Node domNode, int rank)`

    - ### Methods inherited from class org.cybergarage.xml.Parser

      `parse, parse, parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxpParser

          public JaxpParser()

  - ### Method Detail

    - #### parse

          public Node parse(Node parentNode,
                   Node domNode,
                   int rank)

    - #### parse

          public Node parse(Node parentNode,
                   Node domNode)

    - #### parse

          public Node parse(InputStream inStream)
                     throws ParserException

      Specified by:
        `parse` in class `Parser`
      Throws:
        `ParserException`